#---------------------------------------------------------------#
# LB 구성 후 target group 매칭 시 필요한 인스턴스 ID
variable "lambda-user" {
  default = "arn:aws:iam::508259851457:user/user_lambda"
}

#---------------------------------------------------------------#
# LB 구성 후 target group 매칭 시 필요한 인스턴스 ID
variable "master-2a" {
  default = "i-07115778af7e7e69d"
}

variable "master-2b" {
  default = "i-0a6da0d5ace7dcd4e"
}

variable "master-2c" {
  default = "i-092cbe5f9c68bf815"
}

#---------------------------------------------------------------#
# Network ID

variable "VPC_ID" {
  default = "vpc-00ba2b0e9ad59f0ed"
}

variable "Network_CIDR" {
  default = "172.24.0.0/19"
}

variable "Private_Subnet_ID_1" {
  default = "subnet-024f0deda82039fa4"
}

variable "Private_Subnet_ID_2" {
  default = "subnet-050d942fa1c46540a"
}

variable "Private_Subnet_ID_3" {
  default = "subnet-0946eb806af7377be"
}

variable "Public_Subnet_ID_1" {
  default = "subnet-00c363356f133411d"
}

variable "Public_Subnet_ID_2" {
  default = "subnet-07aa5e879a262014d"
}

variable "Public_Subnet_ID_3" {
  default = "subnet-0073a61bc56a68a3e"
}

#---------------------------------------------------------------#
 # Route53 ID

 variable "datasaker-ai" {
   default = "Z06479772L265DHVJW30F"
 }

 variable "datasaker-com" {
   default = "Z0218361HIZ723RV9EX4"
 }

 variable "datasaker-io" {
   default = "Z072735718G25WNVKU834"
 }

 variable "datasaker-co-kr" {
   default = "Z06528191YJHOMRBYTXXT"
 }

 variable "datasaker-net" {
   default = "Z072720912UR7SY03M9F8"
 }

